<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaDispositivo.home.createOrEditLabel"
          data-cy="DispositivoCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaDispositivo.home.createOrEditLabel')"
        >
          Create or edit a Dispositivo
        </h2>
        <div>
          <div class="form-group" v-if="dispositivo.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="dispositivo.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaDispositivo.dispositivo')" for="dispositivo-dispositivo"
              >Dispositivo</label
            >
            <input
              type="text"
              class="form-control"
              name="dispositivo"
              id="dispositivo-dispositivo"
              data-cy="dispositivo"
              :class="{ valid: !$v.dispositivo.dispositivo.$invalid, invalid: $v.dispositivo.dispositivo.$invalid }"
              v-model="$v.dispositivo.dispositivo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaDispositivo.mac')" for="dispositivo-mac">Mac</label>
            <input
              type="text"
              class="form-control"
              name="mac"
              id="dispositivo-mac"
              data-cy="mac"
              :class="{ valid: !$v.dispositivo.mac.$invalid, invalid: $v.dispositivo.mac.$invalid }"
              v-model="$v.dispositivo.mac.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaDispositivo.conectado')" for="dispositivo-conectado"
              >Conectado</label
            >
            <input
              type="checkbox"
              class="form-check"
              name="conectado"
              id="dispositivo-conectado"
              data-cy="conectado"
              :class="{ valid: !$v.dispositivo.conectado.$invalid, invalid: $v.dispositivo.conectado.$invalid }"
              v-model="$v.dispositivo.conectado.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaDispositivo.user')" for="dispositivo-user">User</label>
            <select class="form-control" id="dispositivo-user" data-cy="user" name="user" v-model="dispositivo.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="dispositivo.user && userOption.id === dispositivo.user.id ? dispositivo.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.dispositivo.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./dispositivo-update.component.ts"></script>
